Subject: Re: Find out on which branch a commit was originally made

From: Bryan Drewery <[email-masked]>
Date: Fri, 24 Sep 2010 13:26:48 -0500

On 9/18/2010 4:19 AM, Stefan Haller wrote:
> I'm trying to pursuade my co-workers to switch from Subversion to Git;
> some of them prefer Mercurial.
>
> One concern that they are raising is that in Git there doesn't seem to
> be an easy way to find out on which branch a given commit was originally
> made, after the branch is merged back and deleted. They consider this a
> show-stopper.  In Mercurial, branch information is meta data attached to
> each commit, so you can easily get this information even after a branch
> is closed.
>
Use an issue tracker? Associate the commits with ticket numbers in the 
commit msg.

git commit -m "Blah Blah Blah (refs #someticket)"

Bryan Drewery